using Android.Content;
using Billing.Droid.Renderers;
using Billing.UI;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;

[assembly: ExportRenderer(typeof(BillingPage), typeof(BillingPageRenderer))]
namespace Billing.Droid.Renderers
{
    public class BillingPageRenderer : PageRenderer
    {
        public BillingPageRenderer(Context context) : base(context)
        {
        }

        protected override void OnAttachedToWindow()
        {
            base.OnAttachedToWindow();
            if (Element is BillingPage page)
            {
                page.TriggerLoad();
            }
        }
    }
}
